Subject: Re: bug#37215: [PATCH] vc-cvs-ignore writes absolute filenames and duplicate strings

From: Wolfgang Scherer <[email-masked]>
Date: Thu, 20 Feb 2020 00:02:05 +0100

Am 15.02.20 um 13:55 schrieb Dmitry Gutov:
> On 15.02.2020 9:44, Eli Zaretskii wrote:
>> I
>> don't think it's wise to make this patch wait for untangling the more
>> general vc-ignore issues.
>
> And I'm hoping this patch will fit the current contract of vc-ignore (however imprecise it is), rather than the redesigned one.

Unfortunately, I have no idea, what that contract is. Could you state it for me?

The attached patch fits the use case, where pressing "G" in vc-dir-mode sends a relative or absolute file path to vc-ignore, which passes it along to vc-cvs-ignore. The patch correctly identifies the ignore file and writes the correct filename part (basename).